## dmap-share dmap-share |

## Functions

guint | (*get_desired_port) ()
const char * | (*get_type_of_service) ()
void | (*message_add_standard_headers) ()
void | (*add_entry_to_mlcl) ()
void | (*databases_browse_xxx) ()
void | (*databases_items_xxx) ()
void | (*server_info) ()
void | (*content_codes) ()
void | (*login) ()
void | (*logout) ()
void | (*update) ()
void | (*ctrl_int) ()
void | (*published) ()
void | (*name_collision) ()
void | (*databases) ()
void | dmap_share_free_filter ()

## Types and Values

#define | DMAP_STATUS_OK
typedef | DMAPMetaDataMap

## Description

## Functions

### get_desired_port ()

    guint
    (*get_desired_port) (DMAPShare *share);

#### Returns

### get_type_of_service ()

    const char *
    (*get_type_of_service) (DMAPShare *share);

#### Returns

### message_add_standard_headers ()

    void
    (*message_add_standard_headers) (DMAPShare *share,
                                     SoupMessage *msg);

### add_entry_to_mlcl ()

    void
    (*add_entry_to_mlcl) (gpointer id,
                          DMAPRecord *record,
                          gpointer mb);

### databases_browse_xxx ()

    void
    (*databases_browse_xxx) (DMAPShare *share,
                             SoupServer *server,
                             SoupMessage *msg,
                             const char *path,
                             GHashTable *query,
                             SoupClientContext *context);

### databases_items_xxx ()

    void
    (*databases_items_xxx) (DMAPShare *share,
                            SoupServer *server,
                            SoupMessage *msg,
                            const char *path,
                            GHashTable *query,
                            SoupClientContext *context);

### server_info ()

    void
    (*server_info) (DMAPShare *share,
                    SoupServer *server,
                    SoupMessage *message,
                    const char *path,
                    GHashTable *query,
                    SoupClientContext *ctx);

### content_codes ()

    void
    (*content_codes) (DMAPShare *share,
                      SoupServer *server,
                      SoupMessage *message,
                      const char *path,
                      GHashTable *query,
                      SoupClientContext *ctx);

### login ()

    void
    (*login) (DMAPShare *share,
              SoupServer *server,
              SoupMessage *message,
              const char *path,
              GHashTable *query,
              SoupClientContext *ctx);

### logout ()

    void
    (*logout) (DMAPShare *share,
               SoupServer *server,
               SoupMessage *message,
               const char *path,
               GHashTable *query,
               SoupClientContext *ctx);

### update ()

    void
    (*update) (DMAPShare *share,
               SoupServer *server,
               SoupMessage *message,
               const char *path,
               GHashTable *query,
               SoupClientContext *ctx);

### ctrl_int ()

    void
    (*ctrl_int) (DMAPShare *share,
                 SoupServer *server,
                 SoupMessage *message,
                 const char *path,
                 GHashTable *query,
                 SoupClientContext *ctx);

### published ()

    void
    (*published) (DMAPShare *share,
                  DMAPMdnsPublisher *publisher,
                  const char *name);

### name_collision ()

    void
    (*name_collision) (DMAPShare *share,
                       DMAPMdnsPublisher *publisher,
                       const char *name);

### databases ()

    void
    (*databases) (DMAPShare *share,
                  SoupServer *server,
                  SoupMessage *message,
                  const char *path,
                  GHashTable *query,
                  SoupClientContext *context);

### dmap_share_free_filter ()

    void
    dmap_share_free_filter (GSList *filter);

## Types and Values

### DMAP_STATUS_OK

    #define DMAP_STATUS_OK 200

### DMAPMetaDataMap

    typedef struct DMAPMetaDataMap DMAPMetaDataMap;